var window_size     = $(window).width(),
    header_point    = 280;
const menuBtn       = $('.menu-toggler'),
      menuTarget    = menuBtn.data('target'),
      menuObj       = $('#' + menuTarget),
      header        = $('header'),
      animateTime   = 500,
      mobile_point  = 900;

$('a[href^="#"]').click(function() {
    var href        = $(this).attr('href'),
        target      = $(href == "#" || href == "" ? 'html' : href),
        position    = target.offset().top;

    $('body,html').animate({scrollTop:position}, animateTime, 'swing');
    return false;
});

$(window).on('resize', function() {
    window_size = $(window).width();
    if (mobile_point < window_size) {
        if (menuBtn.data('open') == false) {
            openMenu(false);
        }
    } else {
        if (menuBtn.data('open') == true) {
            openMenu(true);
        }
    }
});

$(window).on('scroll', function() {
    if (window_size <= mobile_point) {
        if (menuObj.css('display') != "none") {
            openMenu(true);
        }
    }
});

menuObj.find('a').on('click', function() {
    if (window_size <= mobile_point) {
        openMenu(true);
    } else {
        openMenu(false);
    }
});

$('#pageTop').on('click', function () {
    scrollPosition(0);
});

$('.menu-toggler').on('click', function() {
    openMenu($(this).data('open'));
});

$('.toggler').on('click', function() {
    var click_obj       = $(this),
        top_position    = 0,
        target          = click_obj.data('target'),
        target_obj      = $('#' + target),
        is_collapse     = false;
        is_accordion    = false;

    if (typeof click_obj.data('content_type') !== "undefined") {
        if (click_obj.data('content_type') == "collapse"
            || click_obj.data('content_type') == "accordion") {
            is_collapse = true;
            
            if (click_obj.data('content_type') == "accordion") {
                is_accordion = true;
            }
        }
    }
    if (is_collapse) {
        var is_open = target_obj.data('open');
        $('.collapse-body').slideUp(animateTime).data('open', false);
        if (!is_open) {
            target_obj.slideDown(animateTime).data('open', true);
        }
    } else {
        target_obj.slideToggle(animateTime);
    }
    
    if (is_accordion) {
        var diff    = 0;
        if (window_size <= sp_point) {
            diff = 10;
        } else {
            diff = 60;
        }

        if (click_obj.prev().hasClass('collapse-body')) {
            var prev_obj = click_obj.prev().prev();
            top_position = prev_obj.offset().top + prev_obj.height() - headerHeight;
        } else {
            top_position = click_obj.offset().top - diff;
        }
        scrollPosition(top_position);
    }
    click_obj.removeClass('hover');
});

function scrollPosition(position) {
    $('body,html').animate({
        scrollTop: position
    });
}

function openMenu(is_open) {
    if (!is_open) {
        menuBtn.data('open', true);
        menuObj.fadeIn(animateTime);
        menuBtn.addClass('open');
    } else {
        menuBtn.data('open', false);
        menuObj.fadeOut(animateTime);
        menuBtn.removeClass('open');
    }
}